%{?nodejs_find_provides_and_requires}

%global packagename nth-check
%global enable_tests 1

Name:		nodejs-nth-check
Version:	1.0.1
Release:	3%{?dist}
Summary:	Performant nth-check parser & compiler

License:	BSD
URL:		https://github.com/fb55/nth-check
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/fb55/nth-check/master/LICENSE

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(boolbase)
%endif

%description
Performant nth-check parser & compiler


%prep
%setup -q -n package
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-3
- Initial packaging
